Subject: Re: bug#68860: race condition with make recheck

From: Karl Berry <[email-masked]>
Date: Sun, 25 Aug 2024 10:45:34 -0600

Thanks much, Bogdan.

    -recheck: all %CHECK_DEPS%
    +recheck: all-am %CHECK_DEPS%

Do you have a grip on all-am? Looking at handle_all in bin/automake, I
admit I remain baffled as to what all those pieces of all-am are, and
why it's done as it is.

    -  $output_rules .= "check-am: all-am\n";
    +  $output_rules .= "check-am: all-am";
       if (@check)
         {
    -      pretty_print_rule ("\t\$(MAKE) \$(AM_MAKEFLAGS)", "\t  ", @check);
    +      $output_rules .= " @check";
    +      #pretty_print_rule ("\t\$(MAKE) \$(AM_MAKEFLAGS)", "\t  ", @check);
           depend ('.MAKE', 'check-am');
         }
    +  $output_rules .= "\n";

So I gather the basic fix to output the check targets as dependencies of
check-am, instead of as sub-makes. That seems a plausible reason and fix
for the parallel bug to me.

Anyway, I will tweak a few words and install this soon. --thanks again, karl.